%define pypi_name greenlet

Name:		python-greenlet
Version:	1.1.1
Release:	%mkrel 1
Summary:	A spin-off of Stackless
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/greenlet/
Source0:	%{pypi_source}
BuildRequires:	glibc-devel

%description
The greenlet package is a spin-off of Stackless, a version of CPython that
supports micro-threads called "tasklets".

%package -n python3-greenlet
Summary:	%{summary}
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-greenlet
The greenlet package is a spin-off of Stackless, a version of CPython that
supports micro-threads called "tasklets".

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
# Run the upstream test suite:
#{__python3} setup.py test

%files -n python3-greenlet
%{_includedir}/python3.*/%{pypi_name}
%{python3_sitearch}/%{pypi_name}*


%changelog
* Thu Feb 02 2023 papoteur <papoteur> 1.1.1-1.mga8
+ Revision: 1937595
- new 1.1.1

* Sun Nov 22 2020 guillomovitch <guillomovitch> 0.4.17-1.mga8
+ Revision: 1648457
- new version 0.4.17

* Tue Sep 15 2020 guillomovitch <guillomovitch> 0.4.16-1.mga8
+ Revision: 1626692
- new version 0.4.16

* Sun Feb 16 2020 umeabot <umeabot> 0.4.15-6.mga8
+ Revision: 1532612
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 0.4.15-5.mga8
+ Revision: 1442529
+ rebuild (emptylog)

* Mon Sep 16 2019 daviddavid <daviddavid> 0.4.15-3.mga8
+ Revision: 1441815
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 0.4.15-2.mga7
+ Revision: 1353156
- Rebuild for python3 3.7

* Wed Jan 09 2019 daviddavid <daviddavid> 0.4.15-1.mga7
+ Revision: 1353139
- new version: 0.4.15

* Mon Jan 07 2019 kekepower <kekepower> 0.4.13-3.mga7
+ Revision: 1350693
- Rebuild for Python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.4.13-2.mga7
+ Revision: 1300491
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Create and use py3dir

* Tue Mar 20 2018 kekepower <kekepower> 0.4.13-1.mga7
+ Revision: 1210816
- Update to version 0.4.13
- Renamed python-greenlet to python2-greenlet

* Fri Aug 04 2017 joequant <joequant> 0.4.12-1.mga7
+ Revision: 1134652
- update to 0.4.12 / python 3.6

* Fri Feb 12 2016 umeabot <umeabot> 0.4.9-2.mga6
+ Revision: 958615
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 joequant <joequant> 0.4.9-1.mga6
+ Revision: 887380
- upgrade to 0.4.9 and python 3.5

* Thu Jul 23 2015 joequant <joequant> 0.4.7-1.mga6
+ Revision: 856419
- upgrade to 0.4.7

* Wed Oct 15 2014 umeabot <umeabot> 0.4.2-5.mga5
+ Revision: 751067
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.2-4.mga5
+ Revision: 727907
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.2-3.mga5
+ Revision: 688064
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.4.2-2.mga5
+ Revision: 628676
- Rebuild for new Python

* Sat Feb 08 2014 dams <dams> 0.4.2-1.mga5
+ Revision: 585697
- new version 0.4.2

* Wed Dec 11 2013 philippem <philippem> 0.4.1-1.mga4
+ Revision: 556333
- update to 0.4.1, add Python 3

* Tue Oct 22 2013 umeabot <umeabot> 0.4.0-4.mga4
+ Revision: 543416
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4.0-3.mga4
+ Revision: 498705
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 378960
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 25 2012 obgr_seneca <obgr_seneca> 0.4.0-1.mga3
+ Revision: 283875
- New version

* Mon Mar 12 2012 obgr_seneca <obgr_seneca> 0.3.4-1.mga3
+ Revision: 222985
- imported package python-greenlet


* Fri Mar 09 2012 Oliver Burger <obgr_seneca@mageia.org> 0.3.4-1.mga2
- initial package for Mageia
